Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/dom_ice_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 2636)
@@ -15,10 +15,9 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   USE par_ice_2
+   USE par_ice_2   ! LIM parameters
 
    IMPLICIT NONE
    PRIVATE
 
-   ! Routine accessibility
    PUBLIC    dom_ice_alloc_2    ! Called from nemogcm.F90
 
@@ -42,4 +41,31 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)         ::   tmi               !: ice mask: =1 if ice thick > 0
 # endif
+   !!----------------------------------------------------------------------
+   CONTAINS
+
+   INTEGER FUNCTION dom_ice_alloc_2()
+      !!----------------------------------------------------------------------
+      USE lib_mpp, ONLY:   ctl_warn   ! MPP library
+      INTEGER :: ierr(2)
+      !!----------------------------------------------------------------------
+      ierr(:) = 0
+      !
+      ALLOCATE( fs2cor(jpi,jpj),  fcor(jpi,jpj),                             &
+         &      covrai(jpi,jpj),  area(jpi,jpj), tms(jpi,jpj), tmu(jpi,jpj), &
+         &      wght(jpi,jpj,2,2),  Stat=ierr(1) )
+         !
+      ALLOCATE(                                                              &
+#if defined key_lim2_vp 
+         &        akappa(jpi,jpj,2,2), bkappa(jpi,jpj,2,2),                  &
+         &        alambd(jpi,jpj,2,2,2,2),                                   &
+#else
+         &        tmv(jpi,jpj), tmf(jpi,jpj), tmi(jpi,jpj),                  &
+#endif
+         &        Stat=ierr(2) )
+         !
+      dom_ice_alloc_2 = MAXVAL(ierr)
+      IF( dom_ice_alloc_2 /= 0 )   CALL ctl_warn('dom_ice_alloc_2: failed to allocate arrays')
+      !
+   END FUNCTION dom_ice_alloc_2
 
 #else
@@ -49,36 +75,3 @@
 #endif
    !!======================================================================
-#if defined key_lim2
-   CONTAINS
-
-     FUNCTION dom_ice_alloc_2()
-        USE in_out_manager, ONLY: ctl_warn
-        IMPLICIT none
-        INTEGER :: dom_ice_alloc_2
-        INTEGER :: ierr(2)
-
-        ierr(:) = 0
-
-        ALLOCATE(fs2cor(jpi,jpj),  fcor(jpi,jpj),                             &
-                 covrai(jpi,jpj),  area(jpi,jpj), tms(jpi,jpj), tmu(jpi,jpj), &
-                 wght(jpi,jpj,2,2),  Stat=ierr(1) )
-
-        ALLOCATE(                                                             &
-#if defined key_lim2_vp 
-                 akappa(jpi,jpj,2,2), bkappa(jpi,jpj,2,2),                    &
-                 alambd(jpi,jpj,2,2,2,2),                                     &
-#else
-                 tmv(jpi,jpj), tmf(jpi,jpj), tmi(jpi,jpj),                    &
-#endif
-                 Stat=ierr(2))
-
-        dom_ice_alloc_2 = MAXVAL(ierr)
-
-        IF(dom_ice_alloc_2 /= 0)THEN
-           CALL ctl_warn('dom_ice_alloc_2: failed to allocate arrays.')
-        END IF
-
-     END FUNCTION dom_ice_alloc_2
-#endif
-
 END MODULE dom_ice_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90	(revision 2636)
@@ -12,5 +12,5 @@
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   USE par_ice_2          ! LIM sea-ice parameters
+   USE par_ice_2      ! LIM sea-ice parameters
 
    IMPLICIT NONE
@@ -127,18 +127,16 @@
    CONTAINS
 
-   FUNCTION ice_alloc_2()
+   INTEGER FUNCTION ice_alloc_2()
       !!-----------------------------------------------------------------
       !!               *** FUNCTION ice_alloc_2 ***
       !!-----------------------------------------------------------------
-      USE in_out_manager, ONLY: ctl_warn
-      INTEGER :: ice_alloc_2     ! return value
-      INTEGER :: ierr(9)        ! Local variables
+      USE lib_mpp, ONLY:   ctl_warn   ! MPP library
+      INTEGER :: ierr(9)              ! Local variables
       !!-----------------------------------------------------------------
-
       ierr(:) = 0
-
+      !
       ALLOCATE( ahiu(jpi,jpj) , pahu(jpi,jpj) ,                      &
          &      ahiv(jpi,jpj) , pahv(jpi,jpj) , ust2s(jpi,jpj) , STAT=ierr(1) )
-
+         !
       !* Ice Rheology
 #if defined key_lim2_vp
@@ -149,5 +147,4 @@
                 stress12_i(jpi,jpj) , shear_i(jpi,jpj) , hicm(jpi,jpj) , STAT=ierr(2) )
 #endif
-
       ALLOCATE( rdvosif(jpi,jpj) , rdvobif(jpi,jpj) ,                      &
          &      fdvolif(jpi,jpj) , rdvonif(jpi,jpj) ,                      &
@@ -181,7 +178,7 @@
       ALLOCATE(sxst  (jpi,jpj) , syst  (jpi,jpj) , sxxst (jpi,jpj) ,     &
          &     syyst (jpi,jpj) , sxyst (jpi,jpj)                   , STAT=ierr(9))
-
+         !
       ice_alloc_2 = MAXVAL( ierr )
-
+      !
       IF( ice_alloc_2 /= 0 )   CALL ctl_warn('ice_alloc_2: failed to allocate arrays.')
       !
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 2636)
@@ -30,5 +30,6 @@
    USE limsbc_2         ! LIM2 surface boundary condition
    USE in_out_manager   ! I/O manager
-      
+   USE lib_mpp          ! MPP library
+
    IMPLICIT NONE
    PRIVATE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limadv_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limadv_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limadv_2.F90	(revision 2636)
@@ -22,4 +22,5 @@
    USE lbclnk
    USE in_out_manager     ! I/O manager
+   USE lib_mpp            ! MPP library
    USE prtctl             ! Print control
 
@@ -79,5 +80,5 @@
       IF( wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_x_2 : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+      ENDIF
 
       ! Limitation of moments.                                           
@@ -224,7 +225,6 @@
       ENDIF
       !
-      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
-         CALL ctl_stop( 'lim_adv_x_2 : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) )   &
+          CALL ctl_stop( 'lim_adv_x_2 : failed to release workspace arrays.' )
       !
    END SUBROUTINE lim_adv_x_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 2636)
@@ -12,5 +12,4 @@
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
    !!   lim_dia_2      : computation of the time evolution of keys var.
    !!   lim_dia_init_2 : initialization and namelist read
@@ -24,4 +23,5 @@
    USE limistate_2     !
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 2636)
@@ -13,10 +13,11 @@
    !!   lim_dmp_2      : ice model damping
    !!----------------------------------------------------------------------
-   USE in_out_manager  ! I/O manager
    USE ice_2           ! ice variables 
    USE sbc_oce, ONLY : nn_fsbc ! for fldread
    USE dom_oce         ! for mi0; mi1 etc ...
    USE fldread         ! read input fields
-   
+   USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
+
    IMPLICIT NONE
    PRIVATE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 2636)
@@ -72,6 +72,6 @@
 
       IF(  wrk_in_use(1, 1,2)  .OR.  wrk_in_use(2, 1,2)  ) THEN
-         CALL ctl_stop( 'lim_dyn_2 : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+         CALL ctl_stop( 'lim_dyn_2 : requested workspace arrays unavailable' )   ;   RETURN
+      ENDIF
       zind => wrk_1d_1(1:jpj)      ! Set-up pointers to sub-arrays of workspaces
       zmsk => wrk_1d_2(1:jpj)
@@ -210,7 +210,6 @@
       IF(ln_ctl)   CALL prt_ctl(tab2d_1=ust2s , clinfo1=' lim_dyn  : ust2s :')
       !
-      IF( wrk_not_released(1, 1,2) .OR. wrk_not_released(2, 1,2) )THEN
-         CALL ctl_stop('lim_dyn_2 : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(1, 1,2)     .OR.   &
+          wrk_not_released(2, 1,2) )   CALL ctl_stop('lim_dyn_2 : failed to release workspace arrays')
       !
    END SUBROUTINE lim_dyn_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limhdf_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limhdf_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limhdf_2.F90	(revision 2636)
@@ -149,7 +149,5 @@
       ENDIF
       !
-      IF( wrk_not_released(2, 11,12,13,14,15,16) ) THEN
-         CALL ctl_stop( 'lim_hdf_2 : failed to release workspace arrays.' )   ;   RETURN
-      END IF
+      IF( wrk_not_released(2, 11,12,13,14,15,16) )   CALL ctl_stop('lim_hdf_2: failed to release workspace arrays')
       !
    END SUBROUTINE lim_hdf_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 2636)
@@ -19,4 +19,5 @@
    USE lbclnk
    USE in_out_manager
+   USE lib_mpp          ! MPP library
 
    IMPLICIT NONE
@@ -56,8 +57,7 @@
       !!---------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2))THEN
-         CALL ctl_stop('lim_msh_2 : requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2) ) THEN
+         CALL ctl_stop('lim_msh_2 : requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF(lwp) THEN
@@ -281,7 +281,5 @@
       area(:,:) = e1t(:,:) * e2t(:,:)
       !
-      IF(wrk_not_released(2, 1,2))THEN
-         CALL ctl_stop('lim_msh_2 : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('lim_msh_2 : failed to release workspace arrays')
       !
    END SUBROUTINE lim_msh_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 2636)
@@ -57,24 +57,19 @@
 CONTAINS
 
-   FUNCTION lim_rhg_alloc_2()
+   INTEGER FUNCTION lim_rhg_alloc_2()
       !!-------------------------------------------------------------------
       !!               ***  FUNCTION lim_rhg_alloc_2  ***
       !!-------------------------------------------------------------------
-      INTEGER :: lim_rhg_alloc_2
-      !!-------------------------------------------------------------------
-
-      ALLOCATE(zu0(jpi,0:jpj+1),      zv0(jpi,0:jpj+1),     &
-               zu_n(jpi,0:jpj+1),     zv_n(jpi,0:jpj+1),    &
-               zu_a(jpi,0:jpj+1),     zv_a(jpi,0:jpj+1),    &
-               zviszeta(jpi,0:jpj+1), zviseta(jpi,0:jpj+1), &
-               zzfrld(jpi,0:jpj+1),   zztms(jpi,0:jpj+1),   &
-               zi1(jpi,0:jpj+1),      zi2(jpi,0:jpj+1),     &
-               zmasst(jpi,0:jpj+1),   zpresh(jpi,0:jpj+1),  &
-               Stat=lim_rhg_alloc_2)
-
-      IF(lim_rhg_alloc_2 /= 0)THEN
-         CALL ctl_warn('lim_rhg_alloc_2 : failed to allocate arrays.')
-      END IF
-
+      ALLOCATE( zu0(jpi,0:jpj+1),      zv0(jpi,0:jpj+1),     &
+         &      zu_n(jpi,0:jpj+1),     zv_n(jpi,0:jpj+1),    &
+         &      zu_a(jpi,0:jpj+1),     zv_a(jpi,0:jpj+1),    &
+         &      zviszeta(jpi,0:jpj+1), zviseta(jpi,0:jpj+1), &
+         &      zzfrld(jpi,0:jpj+1),   zztms(jpi,0:jpj+1),   &
+         &      zi1(jpi,0:jpj+1),      zi2(jpi,0:jpj+1),     &
+         &      zmasst(jpi,0:jpj+1),   zpresh(jpi,0:jpj+1),  &
+         &      Stat=lim_rhg_alloc_2)
+         !
+      IF( lim_rhg_alloc_2 /= 0 )   CALL ctl_warn('lim_rhg_alloc_2 : failed to allocate arrays')
+      !
    END FUNCTION lim_rhg_alloc_2
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 2636)
@@ -30,4 +30,5 @@
    USE albedo           ! albedo parameters
    USE lbclnk           ! ocean lateral boundary condition - MPP exchanges
+   USE lib_mpp          ! MPP library
    USE in_out_manager   ! I/O manager
    USE diaar5, ONLY :   lk_diaar5
@@ -62,11 +63,8 @@
 CONTAINS
 
-   FUNCTION lim_sbc_alloc_2()
+   INTEGER FUNCTION lim_sbc_alloc_2()
       !!-------------------------------------------------------------------
       !!             ***  ROUTINE lim_sbc_alloc_2 ***
       !!-------------------------------------------------------------------
-      INTEGER :: lim_sbc_alloc_2
-      !!-------------------------------------------------------------------
-      !
       ALLOCATE( soce_0(jpi,jpj) , utau_oce(jpi,jpj) ,                       &
          &      sice_0(jpi,jpj) , vtau_oce(jpi,jpj) , tmod_io(jpi,jpj), STAT=lim_sbc_alloc_2)
@@ -117,7 +115,6 @@
      
       IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 4,5) )THEN
-         CALL ctl_stop('lim_sbc_flx_2 : requested workspace arrays unavailable.')
-         RETURN
-      END IF
+         CALL ctl_stop('lim_sbc_flx_2 : requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
       zalb  => wrk_3d_4(:,:,1:1)      ! Set-up pointers to sub-arrays of 3d workspaces
       zalbp => wrk_3d_5(:,:,1:1)
@@ -253,7 +250,6 @@
       ENDIF 
       !
-      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 4,5) )THEN
-         CALL ctl_stop('lim_sbc_flx_2 : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1)     .OR.    &
+          wrk_not_released(3, 4,5) )   CALL ctl_stop('lim_sbc_flx_2 : failed to release workspace arrays')
       !
    END SUBROUTINE lim_sbc_flx_2
@@ -297,7 +293,7 @@
       !!---------------------------------------------------------------------
       !
-      IF(wrk_in_use(2, 1,2))THEN
+      IF( wrk_in_use(2, 1,2) ) THEN
          CALL ctl_stop('lim_sbc_tau_2 : requested workspace arrays unavailable.')   ;   RETURN
-      END IF
+      ENDIF
       !
       SELECT CASE( cp_ice_msh )     
@@ -413,5 +409,5 @@
          &                       tab2d_2=vtau, clinfo2=' vtau    : '        , mask2=vmask )
       !  
-      IF(wrk_not_released(2, 1,2) )   CALL ctl_stop('lim_sbc_tau_2 : failed to release workspace arrays.')
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('lim_sbc_tau_2 : failed to release workspace arrays')
       !
    END SUBROUTINE lim_sbc_tau_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 2636)
@@ -116,9 +116,8 @@
       !!-------------------------------------------------------------------
 
-      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10) .OR.  &
-          wrk_in_use(3, 4)   ) THEN
-         CALL ctl_stop('lim_thd_2 : requested workspace arrays unavailable')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10)   .OR.  &
+          wrk_in_use(3, 4)                    ) THEN
+         CALL ctl_stop('lim_thd_2 : requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 )   CALL lim_thd_init_2  ! Initialization (first time-step only)
@@ -521,8 +520,8 @@
       ENDIF
        !
-      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10) .OR.  &
-          wrk_not_released(3, 4)   ) THEN
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10)   .OR.  &
+          wrk_not_released(3, 4)                    ) THEN
          CALL ctl_stop('lim_thd_2 : failed to release workspace arrays')
-      END IF
+      ENDIF
       !
     END SUBROUTINE lim_thd_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 2636)
@@ -7,6 +7,6 @@
 
    !!----------------------------------------------------------------------
-   !!   lim_lat_acr_2    : lateral accretion of ice
-   !! * Modules used
+   !!   lim_lat_acr_2   : lateral accretion of ice
+   !!----------------------------------------------------------------------
    USE par_oce          ! ocean parameters
    USE phycst
@@ -14,12 +14,11 @@
    USE ice_2
    USE limistate_2 
-     
+   USE lib_mpp          ! MPP library
+
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC lim_thd_lac_2   ! called by lim_thd_2
-
-   !! * Module variables
+   PUBLIC   lim_thd_lac_2   ! called by lim_thd_2
+
    REAL(wp)  ::           &  ! constant values
       epsi20 = 1.e-20  ,  &
@@ -27,4 +26,5 @@
       zzero  = 0.e0    ,  &
       zone   = 1.e0
+
    !!----------------------------------------------------------------------
    !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
@@ -70,12 +70,10 @@
       USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wrk_1d_1, wrk_1d_2, wrk_1d_3, wrk_1d_4, wrk_1d_5, wrk_1d_6
-      USE in_out_manager, ONLY: ctl_stop
-      !!
-      !! * Arguments
+      !
       INTEGER , INTENT(IN)::  &
          kideb          ,   &  ! start point on which the the computation is applied
          kiut                  ! end point on which the the computation is applied
 
-      !! * Local variables
+      ! * Local variables
       INTEGER ::            &
          ji             ,   &  !  dummy loop indices
@@ -106,8 +104,7 @@
       !!---------------------------------------------------------------------      
                
-      IF(wrk_in_use(1, 1,2,3,4,5,6))THEN
-         CALL ctl_stop('lim_thd_lac_2 : requestead workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(1, 1,2,3,4,5,6) ) THEN
+         CALL ctl_stop('lim_thd_lac_2 : requestead workspace arrays unavailable')   ;   RETURN
+      ENDIF
       ! Set-up pointers to sub-arrays of workspace arrays
       zqbgow    => wrk_1d_1(1:jpij)
@@ -235,17 +232,16 @@
       END DO
       
-      IF(wrk_not_released(1, 1,2,3,4,5,6))THEN
-         CALL ctl_stop('lim_thd_lac_2 : failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(1, 1,2,3,4,5,6) )   CALL ctl_stop('lim_thd_lac_2 : failed to release workspace arrays.')
+      !
    END SUBROUTINE lim_thd_lac_2
 #else
-   !!======================================================================
+   !!----------------------------------------------------------------------
    !!                       ***  MODULE limthd_lac_2   ***
    !!                           no sea ice model
-   !!======================================================================
+   !!----------------------------------------------------------------------
 CONTAINS
    SUBROUTINE lim_thd_lac_2           ! Empty routine
    END SUBROUTINE lim_thd_lac_2
 #endif
+   !!======================================================================
 END MODULE limthd_lac_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 2636)
@@ -11,8 +11,6 @@
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
    !!   lim_thd_zdf_2 : vertical accr./abl. and lateral ablation of sea ice
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_oce          ! ocean parameters
    USE phycst           ! ???
@@ -21,4 +19,5 @@
    USE limistate_2
    USE in_out_manager
+   USE lib_mpp          ! MPP library
    USE cpl_oasis3, ONLY : lk_cpl
       
@@ -35,7 +34,6 @@
    !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -170,9 +168,8 @@
 
        IF(wrk_in_use(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10, &
-                        11,12,13,14,15,16,17,18,19,20, &
-                        21,22,23,24,25,26,27))THEN
-          CALL ctl_stop('lim_thd_zdf_2 : requested workspace arrays unavailable.')
-          RETURN
-       END IF
+          &             11,12,13,14,15,16,17,18,19,20, &
+          &             21,22,23,24,25,26,27) ) THEN
+          CALL ctl_stop('lim_thd_zdf_2 : requested workspace arrays unavailable')   ;   RETURN
+       ENDIF
 
        ztsmlt  => wrk_1d_1(1:jpij)
@@ -808,9 +805,8 @@
        END DO
        ! 
-       IF(wrk_not_released(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10, &
-                              11,12,13,14,15,16,17,18,19,20, &
-                              21,22,23,24,25,26,27))THEN
-          CALL ctl_stop('lim_thd_zdf_2 : failed to release workspace arrays.')
-       END IF
+       IF( wrk_not_released(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10,   &
+           &                   11,12,13,14,15,16,17,18,19,20,   &
+           &                   21,22,23,24,25,26,27)        )   &
+           CALL ctl_stop('lim_thd_zdf_2 : failed to release workspace arrays.')
        !
     END SUBROUTINE lim_thd_zdf_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2636)
@@ -79,8 +79,7 @@
       !---------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10))THEN
-         CALL ctl_stop('lim_trp_2 : requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10) ) THEN
+         CALL ctl_stop('lim_trp_2 : requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000  )   CALL lim_trp_init_2      ! Initialization (first time-step only)
@@ -274,7 +273,5 @@
       ENDIF
       !
-      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10))THEN
-         CALL ctl_stop('lim_trp_2 : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10) )   CALL ctl_stop('lim_trp_2 : failed to release workspace arrays')
       !
    END SUBROUTINE lim_trp_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 2636)
@@ -26,7 +26,8 @@
    USE ice_2
 
+   USE dianam          ! build name of file (routine)
    USE lbclnk
-   USE dianam          ! build name of file (routine)
    USE in_out_manager
+   USE lib_mpp         ! MPP library
    USE iom
    USE ioipsl
@@ -69,12 +70,8 @@
 CONTAINS
 
-   FUNCTION lim_wri_alloc_2()
+   INTEGER FUNCTION lim_wri_alloc_2()
       !!-------------------------------------------------------------------
       !!                  ***   ROUTINE lim_wri_alloc_2  ***
       !!-------------------------------------------------------------------
-      IMPLICIT none
-      INTEGER :: lim_wri_alloc_2
-      !!-------------------------------------------------------------------
-      !
       ALLOCATE( ndex51(jpij), zcmo(jpi,jpj,jpnoumax), STAT=lim_wri_alloc_2)
       !
@@ -115,8 +112,7 @@
       !!-------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1))THEN
-         CALL ctl_stop('lim_wri_2 : requested workspace array unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1) ) THEN
+         CALL ctl_stop('lim_wri_2 : requested workspace array unavailable')   ;   RETURN
+      ENDIF
                                                  !--------------------!
       IF( kt == nit000 ) THEN                    !   Initialisation   !
@@ -211,8 +207,6 @@
       IF( ( nn_fsbc * niter ) >= nitend )   CALL histclo( nice ) 
 
-      IF(wrk_not_released(2, 1))THEN
-         CALL ctl_stop('lim_wri_2 : failed to release workspace array.')
-      END IF
-
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop('lim_wri_2 : failed to release workspace array.')
+      !
    END SUBROUTINE lim_wri_2
      
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 2636)
@@ -12,5 +12,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_ice_2
 
@@ -85,41 +84,42 @@
       tbif_1d              !: corresponding to the 2D var  tbif
 
-   !!======================================================================
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM2 3.3 , UCL - NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
  CONTAINS
 
-   FUNCTION thd_ice_alloc_2()
-      USE in_out_manager, ONLY: ctl_warn
-      IMPLICIT none
-      INTEGER :: thd_ice_alloc_2
-      ! Local vars
+   INTEGER FUNCTION thd_ice_alloc_2()
+      !!----------------------------------------------------------------------
+      USE lib_mpp        ! MPP library
       INTEGER :: ierr(4)
-
+      !!----------------------------------------------------------------------
+      !
       ierr(:) = 0
-
-      ALLOCATE(npb(jpij), npac(jpij),                             &
-               qldif_1d(jpij), qcmif_1d(jpij), thcm_1d(jpij),     &
-               fstbif_1d(jpij), fltbif_1d(jpij), fscbq_1d(jpij),  &
-               qsr_ice_1d(jpij),fr1_i0_1d(jpij), fr2_i0_1d(jpij), Stat=ierr(1))
-
-      ALLOCATE(qns_ice_1d(jpij), qfvbq_1d(jpij), sist_1d(jpij), tfu_1d(jpij), &
-               sprecip_1d(jpij), h_snow_1d(jpij),h_ice_1d(jpij),frld_1d(jpij),&
-               qstbif_1d(jpij),  fbif_1d(jpij),  Stat=ierr(2))
-
-      ALLOCATE(rdmicif_1d(jpij), rdmsnif_1d(jpij), qlbbq_1d(jpij),   &
-               dmgwi_1d(jpij)  , dvsbq_1d(jpij)  , rdvomif_1d(jpij), &
-               dvbbq_1d(jpij)  , dvlbq_1d(jpij)  , dvnbq_1d(jpij)  , &
-               Stat=ierr(3))
-
-      ALLOCATE(dqns_ice_1d(jpij) ,qla_ice_1d(jpij), dqla_ice_1d(jpij), &
-               tbif_1d(jpij, jplayersp1), Stat=ierr(4))
-
+      !
+      ALLOCATE( npb(jpij), npac(jpij),                             &
+         &      qldif_1d(jpij), qcmif_1d(jpij), thcm_1d(jpij),     &
+         &      fstbif_1d(jpij), fltbif_1d(jpij), fscbq_1d(jpij),  &
+         &      qsr_ice_1d(jpij),fr1_i0_1d(jpij), fr2_i0_1d(jpij), Stat=ierr(1))
+         !
+      ALLOCATE( qns_ice_1d(jpij), qfvbq_1d(jpij), sist_1d(jpij), tfu_1d(jpij), &
+         &      sprecip_1d(jpij), h_snow_1d(jpij),h_ice_1d(jpij),frld_1d(jpij),&
+         &      qstbif_1d(jpij),  fbif_1d(jpij),  Stat=ierr(2))
+         !
+      ALLOCATE( rdmicif_1d(jpij), rdmsnif_1d(jpij), qlbbq_1d(jpij),   &
+         &      dmgwi_1d(jpij)  , dvsbq_1d(jpij)  , rdvomif_1d(jpij), &
+         &      dvbbq_1d(jpij)  , dvlbq_1d(jpij)  , dvnbq_1d(jpij)  , &
+         &      Stat=ierr(3))
+         !
+      ALLOCATE( dqns_ice_1d(jpij) ,qla_ice_1d(jpij), dqla_ice_1d(jpij), &
+         &      tbif_1d(jpij, jplayersp1), Stat=ierr(4))
+         !
       thd_ice_alloc_2 = MAXVAL(ierr)
-
-      IF(thd_ice_alloc_2 /= 0)THEN
-         CALL ctl_warn('thd_ice_alloc_2: failed to allocate arrays.')
-      END IF
-
+      IF( thd_ice_alloc_2 /= 0 )   CALL ctl_warn('thd_ice_alloc_2: failed to allocate arrays')
+      !
    END FUNCTION thd_ice_alloc_2
 
 #endif
+   !!======================================================================
 END MODULE thd_ice_2
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/dom_ice.F90	(revision 2636)
@@ -9,4 +9,5 @@
    USE par_ice        ! LIM-3 parameter
    USE in_out_manager ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 2636)
@@ -13,4 +13,5 @@
    USE par_ice          ! LIM sea-ice parameters
    USE in_out_manager   ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
